# Class e.p.p.w.s.SearchResultNode(object):

Part of elisa.plugins.poblesec.widgets.search_results View In Hierarchy

A node in a list of search results for one given searcher.

Line # | Kind | Name | Docs
--- | --- | --- | ---
50 | Method | __init__ | Constructor.

def __init__(self, searcher, result_type, label, icon_resource, results):

    Constructor.

    @param searcher:      the searcher entry point
    @type searcher:       C{str}
    @param result_type:   the type of results of this category
    @type result_type:    C{str}
    @param label:         the text label for this category of results
    @type label:          C{str}
    @param icon_resource: the icon resource for this category of results
    @type icon_resource:  C{str}
    @param results:       the list of results for this category
    @type results:        C{list} of L{elisa.plugins.base.models.*}